Package org.h2gis.functions.spatial.buffer

## Class ST_SideBuffer

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.buffer.ST_SideBuffer

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_SideBuffer
    extends org.h2gis.api.DeterministicScalarFunction

Compute a single buffer on one side.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_SideBuffer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `singleSideBuffer​(org.locationtech.jts.geom.Geometry geometry, double distance)` Compute a single side buffer with default parameters
`static org.locationtech.jts.geom.Geometry` `singleSideBuffer​(org.locationtech.jts.geom.Geometry geometry, double distance, String parameters)` Compute a single side buffer with join and mitre parameters Note : The End Cap Style for single-sided buffers is always ignored, and forced to the equivalent of flat.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_SideBuffer

    public ST_SideBuffer()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### singleSideBuffer

    public static org.locationtech.jts.geom.Geometry singleSideBuffer​(org.locationtech.jts.geom.Geometry geometry,
                                                                      double distance)

Compute a single side buffer with default parameters

Parameters:
  `geometry` - input geometry
  `distance` - buffer distance
Returns:
  Geometry

#### singleSideBuffer

    public static org.locationtech.jts.geom.Geometry singleSideBuffer​(org.locationtech.jts.geom.Geometry geometry,
                                                                      double distance,
                                                                      String parameters)

Compute a single side buffer with join and mitre parameters Note : The End Cap Style for single-sided buffers is always ignored, and forced to the equivalent of flat.

Parameters:
  `geometry` - input geometry
  `distance` - buffer distance
  `parameters` - buffer parameters
Returns:
  Geometry